Bug 1989496 - typo in ClusterOperatorDegraded alert description part
Summary: typo in ClusterOperatorDegraded alert description part
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Jan Fajerski
QA Contact: Yang Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-03 10:46 UTC by Junqi Zhao
Modified: 2021-10-18 17:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:44:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-version-operator pull 635 0 None None None 2021-08-03 11:52:34 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:44:18 UTC

Description Junqi Zhao 2021-08-03 10:46:18 UTC
Description of problem:
ClusterOperatorDegraded alert, description part
The {{ $labels.name }} operator id degraded because
-> id should be is
# oc -n openshift-monitoring get cm prometheus-k8s-rulefiles-0 -oyaml
.....
      - alert: ClusterOperatorDegraded
        annotations:
          description: The {{ $labels.name }} operator id degraded because {{ $labels.reason
            }}, and the components it manages may have reduced quality of service.  Cluster
            upgrades may not complete. For more information refer to 'oc get -o yaml clusteroperator
            {{ $labels.name }}'{{ with $console_url := "console_url" | query }}{{ if ne
            (len (label "url" (first $console_url ) ) ) 0}} or {{ label "url" (first $console_url
            ) }}/settings/cluster/{{ end }}{{ end }}.
          summary: Cluster operator has been degraded for 30 minutes.
        expr: |
          (
            cluster_operator_conditions{job="cluster-version-operator", condition="Degraded"}
            or on (name)
            group by (name) (cluster_operator_up{job="cluster-version-operator"})
          ) == 1
        for: 30m
        labels:
          severity: warning
.....
Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-08-02-145924

How reproducible:
only with 4.9 payload

Steps to Reproduce:
1. see the description
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Junqi Zhao 2021-08-09 05:16:50 UTC
checked with 4.9.0-0.nightly-2021-08-07-175228, issue is fixed
# oc -n openshift-monitoring get cm prometheus-k8s-rulefiles-0 -oyaml | grep ClusterOperatorDegraded -A17
      - alert: ClusterOperatorDegraded
        annotations:
          description: The {{ $labels.name }} operator is degraded because {{ $labels.reason
            }}, and the components it manages may have reduced quality of service.  Cluster
            upgrades may not complete. For more information refer to 'oc get -o yaml clusteroperator
            {{ $labels.name }}'{{ with $console_url := "console_url" | query }}{{ if ne
            (len (label "url" (first $console_url ) ) ) 0}} or {{ label "url" (first $console_url
            ) }}/settings/cluster/{{ end }}{{ end }}.
          summary: Cluster operator has been degraded for 30 minutes.
        expr: |
          (
            cluster_operator_conditions{job="cluster-version-operator", condition="Degraded"}
            or on (name)
            group by (name) (cluster_operator_up{job="cluster-version-operator"})
          ) == 1
        for: 30m
        labels:
          severity: warning

Comment 9 errata-xmlrpc 2021-10-18 17:44:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.